<template>
  <el-dialog
    :title="!dataForm.id ? '新增' : '修改'"
    :close-on-click-modal="false"
    :visible.sync="visible">
    <el-form :model="dataForm" :rules="dataRule" ref="dataForm" @keyup.enter.native="dataFormSubmit()"
             label-width="80px">
      <el-form-item label="案件：" prop="name">
        <el-select v-model="dataForm.administrativePenaltyFilesId" placeholder="请选择" @change="causeChange">
          <el-option
            v-for="item in processAjApprovalList"
            :key="item.id"
            :label="item.processAjCoverName"
            :value="item.id+''">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="申请事项" prop="applicationItems">
        <el-input v-model="dataForm.applicationItems" placeholder="申请事项"></el-input>
      </el-form-item>
      <el-form-item label="简要案情及调查经过" prop="caseAndInvestigation">
        <el-input v-model="dataForm.caseAndInvestigation" placeholder="简要案情及调查经过"></el-input>
      </el-form-item>
      <el-form-item label="案由" prop="causeAction">
        <el-input v-model="dataForm.causeAction" placeholder="案由"></el-input>
      </el-form-item>
      <el-form-item label="文书编号" prop="documentNumber">
        <el-input v-model="dataForm.documentNumber" placeholder="文书编号"></el-input>
      </el-form-item>
      <el-form-item label="立案日期" prop="filingDate">
<!--        <el-input v-model="dataForm.filingDate" placeholder="立案日期"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.filingDate"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="承办单位意见" prop="opinionsOfTheOrganizer">
        <el-input v-model="dataForm.opinionsOfTheOrganizer" placeholder="承办单位意见"></el-input>
      </el-form-item>
      <el-form-item label="承办人时间" prop="opinionsOfTheUnderDate">
<!--        <el-input v-model="dataForm.opinionsOfTheUnderDate" placeholder="承办人时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.opinionsOfTheUnderDate"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="承办人意见" prop="opinionsOfTheUndertaker">
        <el-input v-model="dataForm.opinionsOfTheUndertaker" placeholder="承办人意见"></el-input>
      </el-form-item>
      <el-form-item label="承办人签名" prop="opinionsOfTheUndertakerAutograph">
        <el-input v-model="dataForm.opinionsOfTheUndertakerAutograph" placeholder="承办人签名"></el-input>
      </el-form-item>
      <el-form-item label="承办人执法证编号" prop="opinionsOfTheUndertakerCardNo">
        <el-input v-model="dataForm.opinionsOfTheUndertakerCardNo" placeholder="承办人执法证编号"></el-input>
      </el-form-item>
      <el-form-item label="机关负责人审批意见" prop="personInCharge">
        <el-input v-model="dataForm.personInCharge" placeholder="机关负责人审批意见"></el-input>
      </el-form-item>
      <el-form-item label="机关负责人审批意见时间" prop="personInChargeDate">
<!--        <el-input v-model="dataForm.personInChargeDate" placeholder="机关负责人审批意见时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.personInChargeDate"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="法制部门审核意见" prop="reviewOpinionsOfLegalDepartment">
        <el-input v-model="dataForm.reviewOpinionsOfLegalDepartment" placeholder="法制部门审核意见"></el-input>
      </el-form-item>
      <el-form-item label="法制部门审核意见时间" prop="reviewOpinionsOfLegalDepartmentDate">
<!--        <el-input v-model="dataForm.reviewOpinionsOfLegalDepartmentDate" placeholder="法制部门审核意见时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.reviewOpinionsOfLegalDepartmentDate"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
      <el-form-item label="承办单位时间" prop="undertakerDate">
<!--        <el-input v-model="dataForm.undertakerDate" placeholder="承办单位时间"></el-input>-->
        <el-date-picker
          style="width: 100%"
          value-format="yyyy-MM-dd"
          v-model="dataForm.undertakerDate"
          type="date"
          placeholder="选择日期">
        </el-date-picker>
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button type="primary" @click="dataFormSubmit()">确定</el-button>
    </span>
  </el-dialog>
</template>

<script>
import {getObj, addObj, putObj} from '@/api/process/examinationinvestigationtermination';
import {findAll} from "@/api/process/processajapproval";

export default {
  data() {
    return {
      visible: false,
      dataForm: {
        id: 0,
        createBy: '',
        createTime: '',
        updateBy: '',
        updateTime: '',
        applicationItems: '',
        caseAndInvestigation: '',
        causeAction: '',
        documentNumber: '',
        filingDate: '',
        opinionsOfTheOrganizer: '',
        opinionsOfTheUnderDate: '',
        opinionsOfTheUndertaker: '',
        opinionsOfTheUndertakerAutograph: '',
        opinionsOfTheUndertakerCardNo: '',
        personInCharge: '',
        personInChargeDate: '',
        reviewOpinionsOfLegalDepartment: '',
        reviewOpinionsOfLegalDepartmentDate: '',
        undertakerDate: ''
      },
      processAjApprovalList: [],
      dataRule: {
        createBy: [
          {required: true, message: '创建人不能为空', trigger: 'blur'}
        ],
        createTime: [
          {required: true, message: '创建时间不能为空', trigger: 'blur'}
        ],
        delFlag: [
          {required: true, message: '删除标识不能为空', trigger: 'blur'}
        ],
        updateBy: [
          {required: true, message: '修改人不能为空', trigger: 'blur'}
        ],
        updateTime: [
          {required: true, message: '修改时间不能为空', trigger: 'blur'}
        ],
        applicationItems: [
          {required: true, message: '申请事项不能为空', trigger: 'blur'}
        ],
        caseAndInvestigation: [
          {required: true, message: '简要案情及调查经过不能为空', trigger: 'blur'}
        ],
        causeAction: [
          {required: true, message: '案由不能为空', trigger: 'blur'}
        ],
        // documentNumber: [
        //   {required: true, message: '文书编号不能为空', trigger: 'blur'}
        // ],
        filingDate: [
          {required: true, message: '立案日期不能为空', trigger: 'blur'}
        ],
        opinionsOfTheOrganizer: [
          {required: true, message: '承办单位意见不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUnderDate: [
          {required: true, message: '承办人时间不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertaker: [
          {required: true, message: '承办人意见不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerAutograph: [
          {required: true, message: '承办人签名不能为空', trigger: 'blur'}
        ],
        opinionsOfTheUndertakerCardNo: [
          {required: true, message: '承办人执法证编号不能为空', trigger: 'blur'}
        ],
        personInCharge: [
          {required: true, message: '机关负责人审批意见不能为空', trigger: 'blur'}
        ],
        personInChargeDate: [
          {required: true, message: '机关负责人审批意见时间不能为空', trigger: 'blur'}
        ],
        reviewOpinionsOfLegalDepartment: [
          {required: true, message: '法制部门审核意见不能为空', trigger: 'blur'}
        ],
        reviewOpinionsOfLegalDepartmentDate: [
          {required: true, message: '法制部门审核意见时间不能为空', trigger: 'blur'}
        ],
        undertakerDate: [
          {required: true, message: '承办单位时间不能为空', trigger: 'blur'}
        ]
      }
    }
  },
  methods: {
    init(id) {
      this.dataForm.id = id || 0
      this.visible = true
      this.$nextTick(() => {
        this.$refs['dataForm'].resetFields()
        if (this.dataForm.id) {
          getObj(this.dataForm.id).then(response => {
            this.dataForm = response.data.data
          })
        }
      })
      this.findAllProcessAj();
    },
    //查询所有案件
    findAllProcessAj() {
      findAll().then(res => {
        this.processAjApprovalList = res.data.data
      });
    },
    causeChange(id) {
      let processAjApproval;
      this.processAjApprovalList.forEach(item => {
        if(item.id === id){
          processAjApproval = item;
        }
      });
      this.dataForm.administrativePenaltyFilesId = id;
      this.dataForm.processAjApprovalId = id;
      this.dataForm.causeAction = processAjApproval.caseReason;
    },
    // 表单提交
    dataFormSubmit() {
      this.$refs['dataForm'].validate((valid) => {
        if (valid) {
          if (this.dataForm.id) {
            putObj(this.dataForm).then(data => {
              this.$message.success('修改成功')
              this.visible = false
              this.$emit('refreshDataList')
            });
          } else {
            addObj(this.dataForm).then(data => {
              this.$message.success('添加成功')
              this.visible = false
              this.$emit('refreshDataList')
            })
          }
        }
      })
    }
  }
}
</script>
